pango-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType A structure specifying a transformation between user-space coordinates and device coordinates.
- Method
  2.12.0.0
  System.Void `` a Changes the transformation represented by the matrix to be the transformation given by first applying transformation given by then applying the original transformation.
- Method
  2.12.0.0
  System.Obsolete("This is a no-op")
  Pango.Matrix Copies a Pango.Matrix a
- Property
  2.12.0.0
  System.Double The scaling factor on the font height. a floating point value where 1.0 indicates no scaling.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Field
  2.12.0.0
  Pango.Matrix Can be used to initialize a PangoMatrix to the identity transform. This is the equivalent of PANGO_MATRIX_INIT in C.
- Method
  2.12.0.0
  Pango.Matrix `` a Creates a new Matrix. a
- Method
  2.12.0.0
  Pango.Matrix `` a containing a Matrix. Converts a GLib.Value to the Matrix it contains. The Matrix contained in . This operator is primarily for internal use.
- Method
  2.12.0.0
  GLib.Value `` To be added. Converts a matrix to a GLib.Value. a containing the matrix. This operator is primarily for internal use.
- Method
  2.12.0.0
  System.Void `` degrees to rotate counter-clockwise Changes the transformation represented by the matrix to be the transformation given by first rotating by degrees degrees counter-clockwise then applying the original transformation.
- Method
  2.12.0.0
  System.Void `` `` amount to scale by in X direction amount to scale by in Y direction Changes the transformation represented by the matrix to be the transformation given by first scaling by sx in the X direction and sy in the Y direction then applying the original transformation.
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` amount to translate in the X direction amount to translate in the Y direction Changes the transformation represented by the matrix to be the transformation given by first translating by (tx, ty) then applying the original transformation.
- Field
  2.12.0.0
  System.Double x translation To be added
- Field
  2.12.0.0
  System.Double 1st component of the transformation matrix
- Field
  2.12.0.0
  System.Double 2nd component of the transformation matrix
- Field
  2.12.0.0
  System.Double y translation
- Field
  2.12.0.0
  System.Double 3rd component of the transformation matrix
- Field
  2.12.0.0
  System.Double 4th component of the transformation matrix
- Field
  2.12.0.0
  Pango.Matrix An empty Pango.Matrix.